X
Tippen Sie hierhin, um die Version dieser Website für Mobilgeräte aufzurufen.
Ihr Firefox ist nicht aktuell und könnte ein Sicherheitsrisiko darstellen! Firefox aktualisieren

Hilfe-Forum

I have win 7 pro and the download for jre 7u10 does not work on Firefox17, I have installed and uninstalled, but works on internet explorer.

Veröffentlicht

I have uninstalled jre7u10, the latest version of java, and re-installed this several times and it will NOT work on Firefox 17. I have checked that the plugins are downloaded in the add-ons tab and made sure they are Enabled. I have tried disabling every plugin I have on the page, but it still will NOT run on FF 17. So, I have uninstalled jre7u10 in windows control panel. I got the jre7u10 download for windows 7 from the actual java website. I don't know what else to do. I am totally confused as to why it works on Internet explorer but not Firefox 17. It gives me an error message on a chat window on one of my sites that says error client class not found, But I DON'T get this error when I use Internet explorer because the chat window works with it. HELP PLEASE ??????????? I am not that good with computers so take it easy on me please. Thanks in advance

Geändert am von bhellums

Mehr Details zum System

Installierte Plugins

  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • RealPlayer Download Plugin
  • Shockwave Flash 11.5 r502
  • RealNetworks(tm) RealDownloader Chrome Background Extension Plug-In
  • RealNetworks(tm) RealDownloader PepperFlashVideoShim Plug-In
  • RealNetworks(tm) RealDownloader HTML5VideoShim Plug-In
  • RealDownloader Plugin
  • Motive Plugin for Mozilla Browsers
  • Foxit Reader Plug-In For Firefox and Netscape
  • Yahoo Application State Plugin version 1.0.0.7
  • Motive Management Plug-in for Mozilla Browsers

Anwendung

  • User-Agent: Mozilla/5.0 (masking-agent; rv:16.0) Gecko/20100101 Firefox/16.0

Weitere Informationen

cor-el
  • Top 10 Contributor
  • Moderator
10776 Lösungen 96963 Antworten
Veröffentlicht

Did you change the user agent intentionally?
You should at least make it reflect the Firefox version that you have (Help > About ).


Your system details list doesn't show the Java plugin.

If Firefox doesn't find the Java plugin then it is possible that the Java installed didn't create the required registry key that Firefox checks to scan for plugins. 32 bit Windows:

  • HKLM\Software\MozillaPlugins\@java.com/JavaPlugin,version=10.xx.xx

64 bit Windows:

  • HKLM\Software\Wow6432Node\MozillaPlugins\@java.com/JavaPlugin,version=10.xx.xx

See:


Fragesteller

what is the user agent? I said I Uninstalled Jre7u10 by using the windows control panel, then clicked on java there and clicked on uninstall. I don't know what a user agent is, sorry.

Hilfreiche Antwort

I went to the help section on Firefox to find out what version I have, it said in the window that popped open that it was Firefox 17.0.1

Thats all I know.

Geändert am von bhellums

Hilfreiche Antwort

I questioned that 64 bit version thing and when I checked the download it sent me to the java version 32 bit for windows 7. The download of jre 32 bit works for my computer on internet explorer but not for firefox 17. I also checked firefox and there is not a 64 bit version browser. so I don't get this at all. anyway, I don't know what a 64 bit vs a 32 bit means but someone asked me to check that too on the site I went to they thought it might be different browser. It's not.

Natural_Born_Nerd 0 Lösungen 5 Antworten
Veröffentlicht

Does JavaFX show up in your Add/Remove Programs list? If so, it conflicts somehow with Java 7u10 and 7u11. Try uninstalling JavaFX, the JRE, and the JDK if you have it, then reinstalling from the offline installer (I'd strongly recommend downloading and running the 7u11 installer, since 7u11 is an unscheduled update for a major security issue). I ran into this same problem with 7u11 and Firefox 18, and that's what fixed it for me.